# Uses of Class
org.apache.avro.generic.GenericData.Record

Packages that use GenericData.Record
Package
Description
org.apache.avro.generic
A generic representation for Avro data.

## Uses of GenericData.Record in org.apache.avro.generic

Methods in org.apache.avro.generic that return GenericData.Record
Modifier and Type
Method
Description
`GenericData.Record`
GenericRecordBuilder.`build()`
Methods in org.apache.avro.generic with parameters of type GenericData.Record
Modifier and Type
Method
Description
`int`
GenericData.Record.`compareTo(GenericData.Record that)`
Constructors in org.apache.avro.generic with parameters of type GenericData.Record
Modifier
Constructor
Description
``
`GenericRecordBuilder(GenericData.Record other)`
Creates a GenericRecordBuilder by copying an existing record instance.
``
`Record(GenericData.Record other, boolean deepCopy)`